ProfileDate
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcemanager.impl.state
Class ProfileDate

    java.lang.Object
      org.gcube.vremanagement.resourcemanager.impl.state.ProfileDate

    public final class ProfileDate

extends java.lang.Object

Transforms from `Date` to a valid string representation for the xs:dateAndTime XML Schema data type and vice versa. It can be used to write/read a `Date` object to/from a profile.

Author:
  Manuele Simi (ISTI-CNR)

Constructor Summary
`ProfileDate()`

Method Summary
`static java.util.Date` | `fromXMLDateAndTime(java.lang.String date)` Transforms the input xs:dateAndTime representation in a `Date` object
`static java.lang.String` | `toXMLDateAndTime(java.util.Date date)` Transforms the input `Date` in a valid string representation for the xs:dateAndTime XML Schema data type

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileDate

    public ProfileDate()

Method Detail

### toXMLDateAndTime

    public static java.lang.String toXMLDateAndTime(java.util.Date date)

  Transforms the input `Date` in a valid string representation for the xs:dateAndTime XML Schema data type

  Parameters:
    `date` - the `Date` object to tranform
  Returns:
    the `String` object

### fromXMLDateAndTime

    public static java.util.Date fromXMLDateAndTime(java.lang.String date)
                                             throws java.text.ParseException

  Transforms the input xs:dateAndTime representation in a `Date` object

  Parameters:
    `date` - the string representation of xs:dateAndTime (e.g. " 2009-05-12T16:46:03+02:00 ")
  Returns:
    the `Date` object
  Throws:
    `java.text.ParseException` - if the input date is not in an valid format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD